Subject: SUMMARY: Fortran debugger

From: Jonathan Arthur <[email-masked]>
Date: Mon, 18 Dec 1995 10:55:13 +1100 (EDT)

Hello all,

Recently I posted the following query:

>Does anyone know of a good (and free!) utility to assist in debugging 
>Fortran programs? (For UNIX)
>
>And if so where can I get it from?

The following is a summary of the responses that I receieved to the query
for those who are interested.

Now all that remains is to decipher how these programs work ;-)

Thanks to all who responded

Jonathan

__________________________________________________________________________

SUMMARY OF RESPONSES:

The GNU debugger:

   gdb and xxgdb
   debugs C, Fortran or whatever

   Available from:
      - Any GNU software site
      - ftp://archie.au/gnu/
      - Most major ftp sites
      - The GNU archive (possibly at MIT)
      - prep.ai.mit.edu or its mirror sites
      - gatekeeper.dec.com

Fortran check:

   ftnchek
   Information from finger [email-masked]

   Available from:
      - the netlib site
      - by ftp from netlib.att.com, directory /netlib/fortran,
        file ftnchek.tar.gz. It comes complete with a manual and
        test cases. Installation is straightforward
      - http://www.fortran.com/fortran/market.html

UNIX platforms standard debugger

   dbx, xdbx, dbm, dde
   codes need to be compiled with the -g option
   works in every language

   Available from:
      - is free with all UNIX platforms

ups

   Available from:
      - nearest sunsite (mirror) Linux/devel/debuggers 
      - standard X11/contrib/devel_tools directories

g77
   
   Available from:
      - gatekeeper.dec.com

For the PC:

   Turbo Debugger
   CodeView

_______________________________________________________________
Jonathan Arthur                       Theoretical Chemistry
e-mail:    [email-masked]  School of Chemistry (F11)
telephone: +61-2-351-4416             The University of Sydney
fax:       +61-2-351-3329             NSW 2006 AUSTRALIA
URL:       http://www.usyd.edu.au/~jarthur/jono.html
_______________________________________________________________